commit:     43bdfa69f1278395d7a8312d8099a7ad5be52b4e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 18 04:35:25 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 18 06:47:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43bdfa69

dev-python/django-filter: Bump to 22.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-filter/Manifest                  |  1 +
 dev-python/django-filter/django-filter-22.1.ebuild | 46 ++++++++++++++++++++++
 .../files/django-filter-22.1-test-skipIf.patch     | 22 +++++++++++
 3 files changed, 69 insertions(+)

diff --git a/dev-python/django-filter/Manifest 
b/dev-python/django-filter/Manifest
index 7f132fefbd4d..40eb8bb12fd7 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1 +1,2 @@
 DIST django-filter-21.1.tar.gz 154188 BLAKE2B 
f0ae3119a1dfa466e6630f7da44db1531172991b137fe9420ed533a7b3d4177f689f07fed115566854bd40e5e23f4e9f2f73be32188af2c067a81a95fbccc5a3
 SHA512 
df2b02bfa93874d9684a26394778203b827c6459ab8cc8c581677e6ccfeedf1323085f53fb52cfc3e0e0a3d27f86de655366bcd4be361502ce86e65b4a4e84d0
+DIST django-filter-22.1.gh.tar.gz 132450 BLAKE2B 
9ef9a4ee15ebd3d461803b4dbbdf9a415e7004ee6b9eaaa75c87f9b3993461e6e294621182478ba0ad06595937c9b98fe89d16e9c48e34ced7dd525f40dc926f
 SHA512 
9db2e684815a69c8b28b512c994ad1845c7a3e53da5dc762e5833c1ee4d90c5e513aa5cb3e59d9033c509b44fe9c27ce4fe798842aec50e040c06d33cb18ec0a

diff --git a/dev-python/django-filter/django-filter-22.1.ebuild 
b/dev-python/django-filter/django-filter-22.1.ebuild
new file mode 100644
index 000000000000..55924feb2cce
--- /dev/null
+++ b/dev-python/django-filter/django-filter-22.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from 
URL parameters"
+HOMEPAGE="
+       https://github.com/carltongibson/django-filter/
+       https://pypi.org/project/django-filter/
+"
+SRC_URI="
+       https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/coreapi[${PYTHON_USEDEP}]
+               dev-python/djangorestframework[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-test-skipIf.patch
+)
+
+python_test() {
+       local -x DJANGO_SETTINGS_MODULE=tests.settings
+       "${EPYTHON}" -m django test -v 2 || die
+}

diff --git 
a/dev-python/django-filter/files/django-filter-22.1-test-skipIf.patch 
b/dev-python/django-filter/files/django-filter-22.1-test-skipIf.patch
new file mode 100644
index 000000000000..883700899175
--- /dev/null
+++ b/dev-python/django-filter/files/django-filter-22.1-test-skipIf.patch
@@ -0,0 +1,22 @@
+diff --git a/tests/rest_framework/test_filterset.py 
b/tests/rest_framework/test_filterset.py
+index d1cb51a..b6f89cf 100644
+--- a/tests/rest_framework/test_filterset.py
++++ b/tests/rest_framework/test_filterset.py
+@@ -4,7 +4,7 @@ from django.conf import settings
+ from django.test import TestCase
+ from django.test.utils import override_settings
+ 
+-from django_filters.compat import is_crispy
++from django_filters.compat import crispy_forms
+ from django_filters.rest_framework import FilterSet, filters
+ from django_filters.widgets import BooleanWidget
+ 
+@@ -37,7 +37,7 @@ class FilterSetFilterForFieldTests(TestCase):
+         self.assertEqual(result.extra["widget"], BooleanWidget)
+ 
+ 
+-@skipIf(is_crispy(), "django_crispy_forms must be installed")
++@skipIf(crispy_forms is None, "django_crispy_forms must be installed")
+ @override_settings(INSTALLED_APPS=settings.INSTALLED_APPS + ("crispy_forms",))
+ class CrispyFormsCompatTests(TestCase):
+     def test_crispy_helper(self):

Reply via email to